import { ChangeDetectorRef, EventEmitter, OnInit } from "@angular/core";
import { ButtonClasses } from "../../enum/ButtonClassesEnum";
import * as i0 from "@angular/core";
export declare class CardInfoComponent implements OnInit {
    private cdr;
    title: string;
    titleCard: string;
    subTitleCard: string;
    cardClass: ButtonClasses;
    iconCard: string;
    clicked: boolean;
    onCardClick: EventEmitter<Event>;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    get dynamicStyles(): {
        "background-color": string;
        color: string;
        border: string;
    };
    onClick(event: Event): void;
    private calculateDynamicStyles;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardInfoComponent, "argenta-card-info", never, { "title": { "alias": "title"; "required": false; }; "titleCard": { "alias": "titleCard"; "required": false; }; "subTitleCard": { "alias": "subTitleCard"; "required": false; }; "cardClass": { "alias": "cardClass"; "required": false; }; "iconCard": { "alias": "iconCard"; "required": false; }; }, { "onCardClick": "onCardClick"; }, never, never, false, never>;
}
