import * as i0 from "@angular/core";
export interface CsvExcelImporterConfig {
    acceptedFileTypes?: string[];
    detectHeaders?: boolean;
    customHeaders?: string[];
    delimiter?: string;
    onImport: (data: any[]) => void;
}
export declare class CsvImporterComponent {
    config: CsvExcelImporterConfig;
    handleFileInput(event: any): void;
    private parseCSV;
    private processData;
    private getHeaders;
    private formatData;
    private normalizeHeader;
    static ɵfac: i0.ɵɵFactoryDeclaration<CsvImporterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CsvImporterComponent, "argenta-csv-importer", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, false, never>;
}
