import { EventEmitter, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CustomPaginationComponent implements OnDestroy {
    totalItems: number;
    itemsPerPage: number;
    currentPage: number;
    showPageInfo: boolean;
    pageChange: EventEmitter<number>;
    maxSize: number;
    private destroy$;
    get totalPages(): number;
    changePage(page: number): void;
    get pages(): number[];
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomPaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomPaginationComponent, "custom-pagination", never, { "totalItems": { "alias": "totalItems"; "required": false; }; "itemsPerPage": { "alias": "itemsPerPage"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "showPageInfo": { "alias": "showPageInfo"; "required": false; }; }, { "pageChange": "pageChange"; }, never, never, false, never>;
}
