import { EventEmitter } from "@angular/core";
import { ButtonClasses } from "../../enum/ButtonClassesEnum";
import * as i0 from "@angular/core";
interface ListItem {
    id: string;
    descricao: string;
}
export declare class DragDropListComponent {
    nonSelectedTitle: string;
    nonSelectedList: ListItem[];
    nonSelectedButtonLabel?: string;
    nonSelectedButtonClick: EventEmitter<void>;
    nonSelectedInputChanged: EventEmitter<string>;
    selectedTitle: string;
    selectedList: ListItem[];
    selectedButtonLabel?: string;
    selectedButtonClick: EventEmitter<void>;
    selectedInputChanged: EventEmitter<string>;
    private nonSelectedListInputSubject;
    private selectedListInputSubject;
    ButtonClasses: typeof ButtonClasses;
    draggedItem: ListItem | null;
    constructor();
    onDragStart(item: ListItem): void;
    onDragOver(event: DragEvent): void;
    onDrop(list: ListItem[], event: DragEvent): void;
    private removeItem;
    nonSelectedListInputChange(event: any): void;
    selectedListInputChange(event: any): void;
    selButtonClick(): void;
    nonSelButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragDropListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragDropListComponent, "argenta-drag-drop-list", never, { "nonSelectedTitle": { "alias": "nonSelectedTitle"; "required": false; }; "nonSelectedList": { "alias": "nonSelectedList"; "required": false; }; "nonSelectedButtonLabel": { "alias": "nonSelectedButtonLabel"; "required": false; }; "selectedTitle": { "alias": "selectedTitle"; "required": false; }; "selectedList": { "alias": "selectedList"; "required": false; }; "selectedButtonLabel": { "alias": "selectedButtonLabel"; "required": false; }; }, { "nonSelectedButtonClick": "nonSelectedButtonClick"; "nonSelectedInputChanged": "nonSelectedInputChanged"; "selectedButtonClick": "selectedButtonClick"; "selectedInputChanged": "selectedInputChanged"; }, never, never, false, never>;
}
export {};
