import { EventEmitter, OnDestroy } from '@angular/core';
import { AuthService } from '../../service/auth-service.service';
import * as i0 from "@angular/core";
export declare class FileUploadComponent implements OnDestroy {
    private authService;
    accept: string;
    multiple: boolean;
    maxFileSize: number;
    labelText: string;
    permissions: string[] | undefined;
    fileUploaded: EventEmitter<File[]>;
    private destroy$;
    constructor(authService: AuthService);
    onFileChange(event: Event): void;
    private validateFiles;
    hasPermission(): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileUploadComponent, "argenta-file-upload", never, { "accept": { "alias": "accept"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "maxFileSize": { "alias": "maxFileSize"; "required": false; }; "labelText": { "alias": "labelText"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; }, { "fileUploaded": "fileUploaded"; }, never, never, false, never>;
}
