export interface PdfTableStyles {
    titleStyle?: {
        fontSize?: number;
        fontColor?: string;
        fontFamily?: string;
        align?: "left" | "center" | "right";
    };
    tableStyle?: {
        fontSize?: number;
        fontColor?: string;
        backgroundColor?: string;
        borderColor?: string;
    };
    headerStyle?: {
        fontSize?: number;
        fontColor?: string;
        backgroundColor?: string;
        fontFamily?: string;
    };
    dataStyle?: {
        fontSize?: number;
        fontColor?: string;
    };
    buttonStyle?: {
        backgroundColor?: string;
        color?: string;
    };
}
