import { EventEmitter } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class RadioComponent implements ControlValueAccessor {
    name: string;
    id: string;
    value: string;
    checked: boolean;
    disabled: boolean;
    label: string;
    marginTop: number;
    marginBottom: number;
    marginLeft: number;
    marginRight: number;
    changeEvent: EventEmitter<Event>;
    private onChangeCallback;
    private onTouchedCallback;
    handleRadioChange(event: Event): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioComponent, "sim-app-radio", never, { "name": { "alias": "name"; "required": false; }; "id": { "alias": "id"; "required": false; }; "value": { "alias": "value"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "label": { "alias": "label"; "required": false; }; "marginTop": { "alias": "marginTop"; "required": false; }; "marginBottom": { "alias": "marginBottom"; "required": false; }; "marginLeft": { "alias": "marginLeft"; "required": false; }; "marginRight": { "alias": "marginRight"; "required": false; }; }, { "changeEvent": "changeEvent"; }, never, never, false, never>;
}
