import { EventEmitter, OnDestroy, OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { AuthService } from '../../service/auth-service.service';
import * as i0 from "@angular/core";
export declare class SelectComponent implements ControlValueAccessor, OnDestroy, OnChanges {
    private authService;
    label: string;
    id: string;
    disabled: boolean;
    options: {
        value: any;
        label: string;
    }[];
    permissions: string[] | undefined;
    changeEvent: EventEmitter<any>;
    private onChangeCallback;
    private onTouchedCallback;
    value: any;
    private destroy$;
    constructor(authService: AuthService);
    onSelectChange(event: Event): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateOptions(newOptions: {
        value: any;
        label: string;
    }[]): void;
    hasPermission(): boolean;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "argenta-custom-select", never, { "label": { "alias": "label"; "required": false; }; "id": { "alias": "id"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "options": { "alias": "options"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; }, { "changeEvent": "changeEvent"; }, never, never, false, never>;
}
