import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { AuthService } from '../../service/auth-service.service';
import * as i0 from "@angular/core";
export declare class TabComponent implements OnInit, OnChanges {
    private authService;
    private cdr;
    tabs: {
        label: string;
        content: TemplateRef<any>;
        permissions?: string[];
    }[];
    activeTabIndex: number;
    componentPermissions?: string[];
    tabChanged: EventEmitter<number>;
    showTabs: boolean;
    constructor(authService: AuthService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    selectTab(index: number, event?: MouseEvent): void;
    hasPermission(requiredPermissions?: string[]): boolean;
    hasComponentPermission(): boolean;
    trackByIndex(index: number): number;
    refreshTabs(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "argenta-tab", never, { "tabs": { "alias": "tabs"; "required": false; }; "activeTabIndex": { "alias": "activeTabIndex"; "required": false; }; "componentPermissions": { "alias": "componentPermissions"; "required": false; }; }, { "tabChanged": "tabChanged"; }, never, never, false, never>;
}
