import { AfterViewInit, OnInit } from '@angular/core';
import { Alert } from './notification.service';
import * as i0 from "@angular/core";
export declare class AlertComponent implements OnInit, AfterViewInit {
    alerts: Alert[];
    private closeTimeouts;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    closeAlert(alert: Alert): void;
    getAlertClass(alert: Alert): {
        [x: string]: boolean;
        'alert-container': boolean;
        'alert-dismissible': boolean;
    };
    getAlertIconClass(alert: Alert): "" | "success-icon" | "info-icon" | "warning-icon" | "danger-icon";
    onMouseEnter(alert: Alert): void;
    onMouseLeave(alert: Alert): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "lib-alert", never, { "alerts": { "alias": "alerts"; "required": false; }; }, {}, never, never, false, never>;
}
