import { ApplicationRef, Injector } from '@angular/core';
import * as i0 from "@angular/core";
export interface Alert {
    type: 'success' | 'info' | 'warning' | 'danger';
    title: string;
    message: string;
}
export declare class NotificationService {
    private appRef;
    private injector;
    private alertsSubject;
    alerts$: import("rxjs").Observable<Alert>;
    constructor(appRef: ApplicationRef, injector: Injector);
    showAlert(type: 'success' | 'info' | 'warning' | 'danger', title: string, message: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationService>;
}
