import { EventEmitter } from "@angular/core";
import { ButtonClasses } from "../../enum/ButtonClassesEnum";
import * as i0 from "@angular/core";
export declare class BadgeComponent {
    label: string;
    badgeContent: string;
    marginTop: number;
    marginBottom: number;
    marginLeft: number;
    marginRight: number;
    btnClass: ButtonClasses;
    buttonClick: EventEmitter<void>;
    isHovered: boolean;
    isClicked: boolean;
    isActive: boolean;
    getDynamicStyles(): {
        "margin-top": string;
        "margin-bottom": string;
        "margin-left": string;
        "margin-right": string;
        "background-color": string;
        color: string;
        border: string;
        transition: string;
        filter: string;
    };
    onClick(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onMouseDown(): void;
    onMouseUp(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BadgeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BadgeComponent, "sim-app-badge", never, { "label": { "alias": "label"; "required": false; }; "badgeContent": { "alias": "badgeContent"; "required": false; }; "marginTop": { "alias": "marginTop"; "required": false; }; "marginBottom": { "alias": "marginBottom"; "required": false; }; "marginLeft": { "alias": "marginLeft"; "required": false; }; "marginRight": { "alias": "marginRight"; "required": false; }; "btnClass": { "alias": "btnClass"; "required": false; }; }, { "buttonClick": "buttonClick"; }, never, never, false, never>;
}
