import { EventEmitter } from '@angular/core';
import { AuthService } from '../../service/auth-service.service';
import { ButtonClasses } from '../../enum/ButtonClassesEnum';
import * as i0 from "@angular/core";
export declare class BasicRegistrationComponent {
    private authService;
    cancelLabel: string;
    saveLabel: string;
    cancelPermissions: string[];
    savePermissions: string[];
    cancelClick: EventEmitter<Event>;
    saveClick: EventEmitter<Event>;
    ButtonClasses: typeof ButtonClasses;
    constructor(authService: AuthService);
    hasPermission(permissions: string[]): boolean;
    handleCancel(event: Event): void;
    handleSave(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BasicRegistrationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BasicRegistrationComponent, "argenta-basic-registration", never, { "cancelLabel": { "alias": "cancelLabel"; "required": false; }; "saveLabel": { "alias": "saveLabel"; "required": false; }; "cancelPermissions": { "alias": "cancelPermissions"; "required": false; }; "savePermissions": { "alias": "savePermissions"; "required": false; }; }, { "cancelClick": "cancelClick"; "saveClick": "saveClick"; }, never, ["*"], false, never>;
}
