export interface IExcelExportConfig {
    fileName: string;
    buttonLabel?: string;
    sheetName?: string;
    title?: string;
    titleWidths?: number[];
    tableHeaders?: string[];
    tableKeys?: string[];
    numericColumns?: string[];
    columnWidths?: number[];
    multipleSheets?: {
        sheetName: string;
        title?: string;
        titleWidths?: number[];
        tableHeaders: string[];
        tableKeys: string[];
        numericColumns?: string[];
        columnWidths?: number[];
        data: any[];
    }[];
}
