import { TemplateRef } from "@angular/core";
export interface DynamicTableColumn {
    key: string;
    header: string;
    type: "text" | "template";
    width?: string;
    template?: TemplateRef<any>;
}
export interface DynamicTableConfig {
    columns: DynamicTableColumn[];
    data: any[];
    showHeader?: boolean;
    pagination?: boolean;
    itemsPerPage?: number;
    isNested?: boolean;
    totalItems?: number;
}
