import { OnInit } from "@angular/core";
import { DynamicTableConfig } from "./dynamic-table-config";
import * as i0 from "@angular/core";
export declare class DynamicTableComponent implements OnInit {
    config: DynamicTableConfig;
    itemsPerPageOptions: number[];
    showPageInfo: boolean;
    currentPage: number;
    itemsPerPage: number;
    constructor();
    get totalItems(): number;
    get paginatedData(): any[];
    ngOnInit(): void;
    onPageChange(newPage: number): void;
    onItemsPerPageChange(event: Event): void;
    get safeTotalItems(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicTableComponent, "argenta-dynamic-table", never, { "config": { "alias": "config"; "required": false; }; "itemsPerPageOptions": { "alias": "itemsPerPageOptions"; "required": false; }; "showPageInfo": { "alias": "showPageInfo"; "required": false; }; }, {}, never, never, false, never>;
}
