import { EventEmitter } from '@angular/core';
import { AuthService } from '../../service/auth-service.service';
import * as i0 from "@angular/core";
export declare class ImageUploadComponent {
    private authService;
    imagePreview: string | ArrayBuffer | null;
    label: string;
    permissions: string[] | undefined;
    base64Output: EventEmitter<string>;
    constructor(authService: AuthService);
    onFileSelected(event: Event): void;
    hasPermission(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageUploadComponent, "argenta-image-upload", never, { "imagePreview": { "alias": "imagePreview"; "required": false; }; "label": { "alias": "label"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; }, { "base64Output": "base64Output"; }, never, never, false, never>;
}
