import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class JsonEditorComponent implements OnInit, OnChanges {
    data: any;
    readonly: boolean;
    jsonChange: EventEmitter<any>;
    isJsonValid: EventEmitter<boolean>;
    jsonText: string;
    isValidJson: boolean;
    copyFeedback: string;
    showExample: boolean;
    exampleJson: {
        nome: string;
        idade: number;
        ativo: boolean;
        notas: number[];
        endereco: {
            cidade: string;
            estado: string;
        };
        email: null;
    };
    get formattedExample(): string;
    toggleExample(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onTextChange(text: string): void;
    format(): void;
    copyToClipboard(): void;
    private checkValidJson;
    private formatJson;
    private tryFixInvalidJson;
    static ɵfac: i0.ɵɵFactoryDeclaration<JsonEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<JsonEditorComponent, "argenta-json-editor", never, { "data": { "alias": "data"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; }, { "jsonChange": "jsonChange"; "isJsonValid": "isJsonValid"; }, never, never, false, never>;
}
