import { EventEmitter, OnInit } from '@angular/core';
import { ITreeNode } from './Itree-node';
import * as i0 from "@angular/core";
export declare class TreeNodeComponent implements OnInit {
    title: string;
    nodes: ITreeNode[];
    isRoot: boolean;
    nodeSelected: EventEmitter<ITreeNode>;
    ngOnInit(): void;
    onNodeSelected(node: ITreeNode, event: any): void;
    toggleChildren(children: ITreeNode[], selected: boolean): void;
    onChildNodeSelected(node: ITreeNode): void;
    updateParentSelection(nodes: ITreeNode[]): void;
    toggleCollapse(node: ITreeNode): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeNodeComponent, "argenta-custom-tree-node", never, { "title": { "alias": "title"; "required": false; }; "nodes": { "alias": "nodes"; "required": false; }; "isRoot": { "alias": "isRoot"; "required": false; }; }, { "nodeSelected": "nodeSelected"; }, never, never, false, never>;
}
